package indi.felix.easy.core.elastic.client;

import indi.felix.easy.core.elastic.EasyEs;
import javafx.util.Pair;
import junit.framework.TestCase;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class EasyEsServiceTest extends TestCase {
    public void testBulk(){

        EasyEs easyEs = new EasyEs("localhost:9200");

        List<Map> mapList = new ArrayList<>();
        for (int i=0; i < 10000; i++){
            Map<String, Object> map = new HashMap<>();
            map.put("name", "user" + i);
            map.put("age", i);
            map.put("id", "000000" + i);
            map.put("routing", "000000" + i);
            mapList.add(map);
        }

        ArrayList<Pair<String, Object>> res =
                easyEs.search().bulkInsert("test11", mapList, 2000);

        System.out.println(res.size());
    }
}